//@line 38 "/builds/slave/mozilla-central-linux64-debug/build/browser/base/content/aboutDialog.js"

// Services = object with smart getters for common XPCOM services
Components.utils.import("resource://gre/modules/Services.jsm");

function init(aEvent)
{
  if (aEvent.target != document)
    return;

  try {
    var distroId = Services.prefs.getCharPref("distribution.id");
    if (distroId) {
      var distroVersion = Services.prefs.getCharPref("distribution.version");
      var distroAbout = Services.prefs.getComplexValue("distribution.about",
        Components.interfaces.nsISupportsString);

      var distroField = document.getElementById("distribution");
      distroField.value = distroAbout;
      distroField.style.display = "block";

      var distroIdField = document.getElementById("distributionId");
      distroIdField.value = distroId + " - " + distroVersion;
      distroIdField.style.display = "block";
    }
  }
  catch (e) {
    // Pref is unset
  }

//@line 68 "/builds/slave/mozilla-central-linux64-debug/build/browser/base/content/aboutDialog.js"
  initUpdates();
//@line 70 "/builds/slave/mozilla-central-linux64-debug/build/browser/base/content/aboutDialog.js"

//@line 76 "/builds/slave/mozilla-central-linux64-debug/build/browser/base/content/aboutDialog.js"
}

//@line 79 "/builds/slave/mozilla-central-linux64-debug/build/browser/base/content/aboutDialog.js"
/**
 * Creates "Last Updated" message and sets up "Check for Updates..." button.
 */
function initUpdates()
{
  var um = Components.classes["@mozilla.org/updates/update-manager;1"].
           getService(Components.interfaces.nsIUpdateManager);
  var browserBundle = Services.strings.
                      createBundle("chrome://browser/locale/browser.properties");

  if (um.updateCount) {
    let buildID = um.getUpdateAt(0).buildID;
    let released = browserBundle.formatStringFromName("aboutdialog.released", 
                                                      [buildID.substring(0, 4), 
                                                       buildID.substring(4, 6), 
                                                       buildID.substring(6, 8)], 3);
    document.getElementById("released").setAttribute("value", released);
  }

  var checkForUpdates = document.getElementById("checkForUpdatesButton");
  setupCheckForUpdates(checkForUpdates, browserBundle);
}
